CREATE TABLE hrc_dl_business_objects] (
    BUSINESS_OBJECT_ID               NUMBER(18, 0)     NOT NULL,
    UI_BUSINESS_OBJECT_ID            NUMBER(18, 0)     NOT NULL,
    BUSINESS_OBJECT_VO_FQ_NAME       VARCHAR2(1024)    NOT NULL,
    BUS_OBJ_FILE_DISCRIMINATOR       VARCHAR2(400)     NOT NULL,
    BUS_OBJ_TOP_DISCRIMINATOR        VARCHAR2(400)     NOT NULL,
    BUS_OBJ_SERVICE_VERSION          VARCHAR2(128)     NOT NULL,
    PARENT_BUSINESS_OBJECT_ID        NUMBER(18, 0) ,
    PROCESSING_ORDER                 NUMBER(18, 0) ,
    VALID_OPERATIONS                 VARCHAR2(128) ,
    FSM_DISPLAY_ORDER                NUMBER(18, 0) ,
    LEGISLATION_CODE                 VARCHAR2(128) ,
    USING_APP_FQ_NAME                VARCHAR2(1024),
    USING_APP_CONFIG                 VARCHAR2(400) ,
    USING_APP_VIEWUSAGE_NAME         VARCHAR2(400)     NOT NULL,
    WS_CONNECTION_QNAME              VARCHAR2(1024),
    CALLBACK_CONNECTION_QNAME        VARCHAR2(1024),
    GROUP_BY_EXPRESSION              VARCHAR2(4000),
    ORDER_BY_EXPRESSION              VARCHAR2(4000),
    CUSTOM_ORDERING_PROCEDURE        VARCHAR2(1024),
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    MODULE_ID                        VARCHAR2(128) ,
    ENTERPRISE_ID                    NUMBER(18, 0)     NOT NULL,
    POST_PROC_TYPE                   VARCHAR2(400) ,
    POST_PROC_JOB_FQ_DEFN_NAME       VARCHAR2(1024),
    POST_PROC_JOB_FQ_CLASS_NAME      VARCHAR2(1024),
    POST_PROC_TASK_NAMES             VARCHAR2(4000),
    VALIDATION_ENABLED               VARCHAR2(4)   ,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ROLLBACK_ENABLED                 VARCHAR2(4)   ,
    PRODUCT_AREA                     VARCHAR2(120) ,
    EA_PROFILE_OPTION_NAME           VARCHAR2(320) ,
    EA_PROFILE_OPTION_TYPE           VARCHAR2(128) ,
    EA_PROFILE_OPTION_HASH_STRING    VARCHAR2(1024),
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    DYNAMIC_HIERARCHY                VARCHAR2(4)   ,
    DYN_BUS_OBJ_KEY                  VARCHAR2(400) 
);
